=== debian/changelog ===
imagevis3d (2.0.1-5) unstable; urgency=low

  * Use my @d.o alias
  * Fix compilation with gcc 4.7. Closes: #667208 
  * Fix potential issue with libtiff5
  * Use hardening flags for compilation
  * Bump Std-Vers to 3.9.3, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Fri, 04 May 2012 15:59:38 +0200

imagevis3d (2.0.1-4) unstable; urgency=low

  * Fix compilation errors on hurd/kFreeBSD.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 20 Dec 2011 14:00:38 +0100

imagevis3d (2.0.1-3) unstable; urgency=low

  * Fix compilation errors on kFreeBSD.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 15 Dec 2011 09:38:21 +0100

imagevis3d (2.0.1-2) unstable; urgency=low

  * Fix compilation errors.
  * Add more patches from upstream to fix warnings.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 13 Dec 2011 18:53:44 +0100

imagevis3d (2.0.1-1) unstable; urgency=low

  * Initial release (Closes: #651470)

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Fri, 09 Dec 2011 12:04:51 +0100
