=== debian/control ===
Source: imagevis3d
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper (>= 8), libqt4-dev, libqt4-opengl-dev, qt4-qmake, libtclap-dev, libglew-dev, libz-dev,
 libbz2-dev, libjpeg-dev, libtiff5-dev | libtiff-dev, libboost-all-dev
Standards-Version: 3.9.3
Homepage: http://www.imagevis3d.com
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/imagevis3d/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/imagevis3d/trunk/

Package: imagevis3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: desktop volume rendering application for large data
 ImageVis3D is a volume rendering application specifically designed to render
 large data.  This is achieved by splitting the dataset into multiple levels of
 detail (LoD), with each level itself decomposed into multiple bricks (atomic
 rendering primitive).  Interaction occurs at the coarsest LoD, which can be
 rendered instantaneously on almost all modern systems.  After a configurable
 delay, ImageVis3D will successively render finer levels of detail, until the
 data are visible at their native resolution.
 .
 Development of ImageVis3D is sponsored by the NIH/NCRR Center for Integrative
 Biomedical Computing (CIBC), and the DOE Visualization And Analytics Center for
 Enabling Technologies (VACET).
