=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

-include /usr/share/dpkg/buildflags.mk

%:
	dh $@  --parallel

override_dh_auto_configure:
	dh_auto_configure -- QMAKE_CXXFLAGS="-DPACKAGE_MANAGER $(CXXFLAGS)" QMAKE_CFLAGS="$(CFLAGS)" QMAKE_LDFLAGS="$(LDFLAGS)"

override_dh_install:
	# rename to match man page:
	cp -a Build/ImageVis3D Build/imagevis3d 
	dh_install Build/imagevis3d usr/bin
	dh_install CmdLineConverter/Build/uvfconvert usr/bin
	dh_install Tuvok/Shaders/* usr/share/imagevis3d/shaders
	dh_install # qmake install rules do nothing ??

override_dh_installman:
	dh_installman doc/imagevis3d.1
	dh_installman doc/uvfconvert.1

get-orig-source:
	./debian/get-orig-source
