## imagevis3d 3.0.0

=== Tuvok/CMakeLists.txt ===
--- 
+++ 
@@ -18,18 +18,31 @@
 
 project(tuvok)
 
+find_package(Qt4 REQUIRED)
+include(${QT_USE_FILE})
+include_directories(${QT_INCLUDE_DIR})
+
 include_directories(. ${TUVOK_EXTERNAL_INCLUDES} Basics Controller DebugOut IO
-                    Renderer Scripting 3rdParty/GLEW IO/3rdParty/boost)
+                    Renderer Scripting 3rdParty/GLEW IO/3rdParty/boost
+                    IO/exception IO/expressions
+                    ${QT_INCLUDE_DIR})
 
 # Tuvok will not build as a shared lib.
 set(BUILD_SHARED_LIBS OFF)
 
 set(TUVOK_LIBRARY tuvok CACHE FILEPATH "Tuvok library name.")
 set(TUVOK_INCLUDE
-    "${CMAKE_CURRENT_SOURCE_DIR};${CMAKE_CURRENT_SOURCE_DIR}/3rdParty;${CMAKE_CURRENT_SOURCE_DIR}/IO/3rdParty/boost"
+    "${CMAKE_CURRENT_SOURCE_DIR};${CMAKE_CURRENT_SOURCE_DIR}/3rdParty;${CMAKE_CURRENT_SOURCE_DIR}/IO/3rdParty/boost;${QT_INCLUDE_DIR}"
     CACHE STRING "Tuvok include directory (Tuvok's source tree root)" FORCE)
+# fPIC is required for libraries.
+if(${CMAKE_COMPILER_IS_GNUCXX})
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
+endif(${CMAKE_COMPILER_IS_GNUCXX})
 
-set(TUVOK_DEFINES -DTUVOK_NO_IO -DTUVOK_NO_QT CACHE STRING
+# Disable Qt as well.  Needed for now... working on it, slowly.
+#set(TUVOK_DEFINES -DTUVOK_NO_IO -DTUVOK_NO_QT CACHE STRING
+set(TUVOK_DEFINES -DTUVOK_NO_IO CACHE STRING
     "Defines needed for building Tuvok in most projects.")
 
 # Disable IO and Qt within Tuvok.
@@ -47,4 +60,18 @@
 if(APPLE)
   target_link_libraries(${TUVOK_LIBRARY} "-framework CoreFoundation")
 endif(APPLE)
+target_link_libraries(${TUVOK_LIBRARY} ${QT_LIBRARIES})
 target_link_libraries(${TUVOK_LIBRARY} ${GL_LIBRARY})
+
+install(DIRECTORY Shaders
+        DESTINATION ${CMAKE_INSTALL_DIR}/
+        FILE_PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
+        DIRECTORY_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
+                              GROUP_READ
+                              WORLD_READ WORLD_EXECUTE)
+file(COPY Shaders
+     DESTINATION ${CMAKE_BINARY_DIR}/
+     FILE_PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
+     DIRECTORY_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
+                           GROUP_READ
+                           WORLD_READ WORLD_EXECUTE)
