=== debian/changelog ===
imagevis3d (3.0.0-3build1) trusty; urgency=medium

  * No change rebuild against glew 1.10.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 02 Jan 2014 13:21:59 +0000

imagevis3d (3.0.0-3) unstable; urgency=low

  * Use internal JPEG implementation. Closes: #688614
  * Bump Std-Vers to 3.9.5, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Tue, 31 Dec 2013 10:05:40 +0100

imagevis3d (3.0.0-2) unstable; urgency=low

  * fix kfreebsd compilation. Closes: #697015
  * fix compilation with missing jpeg symbol. Closes: #713653
  * Fix openmp compilation. Closes: #72193
  * Fix typos reported by lintian
  * Requires a g++ compiler post 4.6 release. Closes: #693143

 -- Mathieu Malaterre <malat@debian.org>  Thu, 05 Sep 2013 17:01:08 +0200

imagevis3d (3.0.0-1) unstable; urgency=low

  * New upstream: 3.0.0
    - New Grid Leaper renderer
    - Added limited support for MRC files
  * Refreshed systemlua.patch

 -- Mathieu Malaterre <malat@debian.org>  Sun, 28 Oct 2012 10:33:10 +0100

imagevis3d (2.1.1-1) unstable; urgency=low

  * New upstream: 2.1.1
    - Added support for GeomView files.
   Remove patches, applied upstream:
    - missingsharedlibs.patch 
    - tuvok_details.patch
    - maxpath.patch
    - overflow.patch
    - warning.patch
    - manual.patch
    - gcc47.patch

 -- Mathieu Malaterre <malat@debian.org>  Thu, 20 Sep 2012 16:08:41 +0200
