=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: imagevis3d
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
-Build-Depends: debhelper (>= 8), libqt4-dev, libqt4-opengl-dev, qt4-qmake, libtclap-dev, libglew-dev, libz-dev,
- libbz2-dev, libjpeg-dev, libtiff5-dev | libtiff-dev, libboost-all-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), libqt4-dev, libqt4-opengl-dev, qt4-qmake, libtclap-dev, libglew-dev, libz-dev,
+ libbz2-dev, libjpeg-dev, libtiff5-dev | libtiff-dev, libboost-all-dev, liblua5.2-dev, flex, bison, g++ (>= 4:4.6)
+Standards-Version: 3.9.5
 Homepage: http://www.imagevis3d.com
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/imagevis3d/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/imagevis3d/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/imagevis3d/trunk/
 
 Package: imagevis3d
 Architecture: any
