=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,17 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
-
--include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@  --parallel
 
 override_dh_auto_configure:
-	dh_auto_configure -- QMAKE_CXXFLAGS="-DPACKAGE_MANAGER $(CXXFLAGS)" QMAKE_CFLAGS="$(CFLAGS)" QMAKE_LDFLAGS="$(LDFLAGS)"
+	dh_auto_configure -- QMAKE_CXXFLAGS="-fopenmp -DPACKAGE_MANAGER $(CXXFLAGS)" QMAKE_CFLAGS="-fopenmp $(CFLAGS)" QMAKE_LDFLAGS="-fopenmp $(LDFLAGS)"
+
+override_dh_clean:
+	dh_clean Build/imagevis3d
+	dh_clean Tuvok/Build/libTuvok.a
+	# make sure to regen flex/bison stuff:
+	dh_clean Tuvok/IO/expressions/tvk-scan.lexer.cpp
 
 override_dh_install:
 	# rename to match man page:
@@ -22,4 +26,4 @@
 	dh_installman doc/uvfconvert.1
 
 get-orig-source:
-	./debian/get-orig-source
+	uscan --verbose --force-download --rename
