=== debian/watch ===
version=3
#http://www.sci.utah.edu/releases/imagevis3d_v([\d\.]+)/ImageVis3D-([\d\.]+)-src\.tar\.gz
http://www.sci.utah.edu/download/imagevis3d.html .*/ImageVis3D-([\d\.]+)-src\.tar\.gz
