=== debian/changelog ===
imagevis3d (3.1.0-7) unstable; urgency=medium

  * d/watch: Do not report alpha version
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Drop unneeded get-orig-source target

 -- Andreas Tille <tille@debian.org>  Tue, 09 Oct 2018 15:16:15 +0200

imagevis3d (3.1.0-6) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.0 (no changes needed)
  * d/rules: s/QMAKE_LDFLAGS/QMAKE_LFLAGS/
    Closes: #876503

 -- Andreas Tille <tille@debian.org>  Sun, 24 Sep 2017 08:51:44 +0200

imagevis3d (3.1.0-5) unstable; urgency=medium

  * Fix FTBFS with Boost 1.61 (Thanks for the patch to Graham Inggs)
    Closes: #835416
  * cme fix dpkg-control
  * Remove Mathieu Malaterre from Uploaders - add myself instead just
    to make sure there is any Uploader
  * debhelper 10
  * d/watch: version=4
  * do not Build-Depend from g++
  * hardening=+all
  * DEP5
  * Fix desktop file

 -- Andreas Tille <tille@debian.org>  Thu, 17 Nov 2016 20:01:37 +0100

imagevis3d (3.1.0-4) unstable; urgency=low

  * Handle obsolete symbol in liblz4. Closes: #763246

 -- Mathieu Malaterre <malat@debian.org>  Tue, 30 Sep 2014 11:05:09 +0200

imagevis3d (3.1.0-3) unstable; urgency=low

  * Fix compilation on sparc. Closes: #751374

 -- Mathieu Malaterre <malat@debian.org>  Mon, 16 Jun 2014 12:34:10 +0200

imagevis3d (3.1.0-2) unstable; urgency=low

  * Make sure to use recent lz4. Closes: #751227
  * Really remove all references to 3rdParty
  * Use system installed lzma

 -- Mathieu Malaterre <malat@debian.org>  Wed, 11 Jun 2014 12:30:54 +0200

imagevis3d (3.1.0-1) unstable; urgency=low

  * New upstream
  * Update debian patches (lua mostly)
  * Add new deps (lz4 + lzma)

 -- Mathieu Malaterre <malat@debian.org>  Fri, 06 Jun 2014 14:14:23 +0200
