=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- QMAKE_CXXFLAGS="-fopenmp -DPACKAGE_MANAGER $(CXXFLAGS)" QMAKE_CFLAGS="-fopenmp $(CFLAGS)" QMAKE_LFLAGS="-fopenmp $(LDFLAGS)"

override_dh_clean:
	dh_clean Build/imagevis3d
	dh_clean Tuvok/Build/libTuvok.a
	# make sure to regen flex/bison stuff:
	dh_clean Tuvok/IO/expressions/tvk-scan.lexer.cpp
	# remove qt generated stuff
	dh_clean ImageVis3D/UI/AutoGen/*

override_dh_install:
	# rename to match man page:
	cp -a Build/ImageVis3D Build/imagevis3d 
	dh_install Build/imagevis3d usr/bin
	dh_install CmdLineConverter/Build/uvfconvert usr/bin
	dh_install Tuvok/Shaders/* usr/share/imagevis3d/shaders
	dh_install # qmake install rules do nothing ??

override_dh_installman:
	dh_installman doc/imagevis3d.1
	dh_installman doc/uvfconvert.1
