=== debian/watch ===
version=4

# github does not lib submodule, you also need:
# https://github.com/SCIInstitute/Tuvok/archive/3.1.0.tar.gz
https://github.com/SCIInstitute/ImageVis3D/releases .*/archive/v*(\d[.\d]+)@ARCHIVE_EXT@
